Subject: bug#21677: [Bug-guile-ncurses] Guile-NCurses test failure when built against NCurses 6.0

From: Mike Gran <[email-masked]>
Date: Tue, 13 Oct 2015 17:40:01 +0000 (UTC)

> On Tuesday, October 13, 2015 10:12 AM, Ludovic Courtès <[email-masked]> wrote:
> > Mike Gran <[email-masked]> skribis:
> 
>>>  On Tuesday, October 13, 2015 1:59 AM, Ludovic Courtès 
> <[email-masked]> wrote:
>>>  > Hello,
>>> 
>>>  Guile-NCurses 1.6 has one test failure when built against NCurses 6.0:
>>> 
>> 
>>>  FAIL: getwin/putwin: putwin
>>>  ERROR: getwin/putwin: getwin - arguments: ((srfi-34 #<condition 
>>>  &curses-wrong-type-arg-error [arg: #f expected-type: window] 
> e7d210>))
>> 
>>>  Any ideas?
>> 
>>  getwin/putwin save and restore a representation of a screen to a file.
>>  That file format has changed for ncurses 6.  Their binding is
>>  probably the least robust of the many functions in guile-ncurses.
>> 
>>  I'll see what I can do with regards to a fix.
> 
> OK.
> 
> Any suggestions on how to fix it or work around it in Guix?  Or maybe we
> should just wait for whatever fix you come up with?

You could try adding ac_cv_func_fopencookie=no to the configure call.
If that works, that should be a legit fix.
 
Otherwise, I'll need a couple of days.
 
Or you could just remove the failing test curses_034_util.test from
test/Makefile.am.  But that would be cheating. ;-)

-Mike